controllers/PruebasController.php
<?php

namespace app\controllers;

use yii\web\Controller;
use app\models\Ejercicio10;
use Yii;


class PruebasController extends Controller
{
     public $layout = 'pruebas';
    
    public function actionUno()
    {
        return "Hola Mundo";
    }
    
    public function actionDos()
    {

    return (function (){ // devuelve el valor de la funcion anonima
            $date = new \DateTime();

            $date->modify('+2 days');
            $date->modify('+10 minute');

            return $date->format('d-m-Y H:i:s'); // Devuelve String de la fecha y hora de la funcion anómima
    })(); // ejecuta la funcion anonima

    }
    
    public function actionTres()
    {
        return $this->render('tres');
    }
    
    public function actionIndex(){
        return $this->render('index');
    }
    
        public function actionCuatro()
    {
           $model = new Ejercicio10();
        if ($model->load(Yii::$app->request->post())&& $model->calcular($model->texto)){ // si se ha dado al boton de submitir mirara la segunda condicion con lo que la ejecutará y devolvera un true para admitir que tambien es cierta la segunda condición
        
         Yii::$app->session->setFlash('contactFormSubmitted'); // envia una variable global para reutilizar la misma vista.
        
        } 
        
    return $this->render('cuatro', [ 'model' => $model, ]); // en los dos casos envia datos a la vista
        
    }
    

    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'About', 'url' => ['/site/about']],
            ['label' => 'Contact', 'url' => ['/site/contact']],
            Yii::$app->user->isGuest ? (
                ['label' => 'Login', 'url' => ['/site/login']]
            ) : (
                '<li>'
                . Html::beginForm(['/site/logout'], 'post')
                . Html::submitButton(
                    'Logout (' . Yii::$app->user->identity->username . ')',
                    ['class' => 'btn btn-link logout']
                )
                . Html::endForm()
                . '</li>'
            )
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; My Company <?= date('Y') ?></p>

        <p class="pull-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/layouts/pruebas.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Inicio', 'url' => ['/pruebas']],
            ['label' => 'Uno', 'url' => ['/pruebas/uno']],
            ['label' => 'Dos', 'url' => ['/pruebas/dos']],
            ['label' => 'Tres', 'url' => ['/pruebas/tres']],
            ['label' => 'Cuatro', 'url' => ['/pruebas/cuatro']],
            /*Yii::$app->user->isGuest ? (
                ['label' => 'Login', 'url' => ['/site/login']]
            ) : (
                '<li>'
                . Html::beginForm(['/site/logout'], 'post')
                . Html::submitButton(
                    'Logout (' . Yii::$app->user->identity->username . ')',
                    ['class' => 'btn btn-link logout']
                )
                . Html::endForm()
                . '</li>'
            )
        */],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
        <table class="container">
            <tr>
                <td><p class="pull-left"> <?= Yii::$app->name." -> ".$this->title ?>                     </p>    </td>
                <td><p class="align-content-sm-center">                      pie                     </p> </td>
                <td><p class="pull-right"><?=Yii::$app->params["autor"]?><?php /*echo Yii::powered() */?></p>   </td>
            </tr>
        </table>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>